<?php

namespace App\Http\Requests\Admin\PermissionManagement;

use Illuminate\Foundation\Http\FormRequest;

class PermissionManagementIndexRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return $this->user()->can('viewAny', \Spatie\Permission\Models\Permission::class);
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            // Index sayfası için özel validasyon kuralları
        ];
    }
}
